#include #include #include #include #include #include #include inline void BRepMesh_ShapeTool::Init(const TopoDS_Shape& S) { theFIterator.Init(S, TopAbs_FACE); } inline Standard_Boolean BRepMesh_ShapeTool::MoreFace() { return theFIterator.More(); } inline void BRepMesh_ShapeTool::NextFace() { theFIterator.Next(); } inline const TopoDS_Face& BRepMesh_ShapeTool:: CurrentFace() { return TopoDS::Face(theFIterator.Current()); } inline void BRepMesh_ShapeTool::Init(const TopoDS_Face& F) { theEIterator.Init(F,TopAbs_EDGE); } inline Standard_Boolean BRepMesh_ShapeTool::MoreEdge() { return theEIterator.More(); } inline void BRepMesh_ShapeTool::NextEdge() { theEIterator.Next(); } inline const TopoDS_Edge& BRepMesh_ShapeTool::CurrentEdge() { return TopoDS::Edge(theEIterator.Current()); } inline void BRepMesh_ShapeTool::Init(const TopoDS_Edge& E) { theVIterator.Init(E,TopAbs_VERTEX); } inline void BRepMesh_ShapeTool::NextInternalVertex() { theVIterator.Next(); } inline const TopoDS_Vertex& BRepMesh_ShapeTool::CurrentInternalVertex() { return TopoDS::Vertex(theVIterator.Current()); } inline TopAbs_Orientation BRepMesh_ShapeTool::Orientation( const TopoDS_Edge& E) { return E.Orientation(); } inline TopAbs_Orientation BRepMesh_ShapeTool::Orientation( const TopoDS_Face& F) { return F.Orientation(); } inline void BRepMesh_ShapeTool::Range(const TopoDS_Edge& E, const TopoDS_Face& F, Standard_Real& wFirst, Standard_Real& wLast) { BRep_Tool::Range(E, F, wFirst, wLast); } inline void BRepMesh_ShapeTool::UVPoints(const TopoDS_Edge& E, const TopoDS_Face& F, gp_Pnt2d& uvFirst, gp_Pnt2d& uvLast) { BRep_Tool::UVPoints(E, F, uvFirst, uvLast); } inline Standard_Boolean BRepMesh_ShapeTool::Degenerated(const TopoDS_Edge& E) { return BRep_Tool::Degenerated(E); } inline Standard_Real BRepMesh_ShapeTool::Tolerance(const TopoDS_Vertex& V) { return BRep_Tool::Tolerance(V); } inline Standard_Real BRepMesh_ShapeTool::Parameter(const TopoDS_Vertex& V, const TopoDS_Edge& E, const TopoDS_Face& F) { return BRep_Tool::Parameter(V,E,F); } inline gp_Pnt BRepMesh_ShapeTool::Pnt(const TopoDS_Vertex& V) { return BRep_Tool::Pnt(V); }